Upstream information

CVE-2009-2661 at MITRE

Description

The asn1_length function in strongSwan 2.8 before 2.8.11, 4.2 before 4.2.17, and 4.3 before 4.3.3 does not properly handle X.509 certificates with crafted Relative Distinguished Names (RDNs), which allows remote attackers to cause a denial of service (pluto IKE daemon crash) via malformed ASN.1 data. NOTE: this is due to an incomplete fix for CVE-2009-2185.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 525388 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • openswan >= 2.6.16-1.34.3
  • openswan-doc >= 2.6.16-1.34.3
  • strongswan >= 4.2.8-1.27.2
  • strongswan-doc >= 4.2.8-1.27.2
Patchnames:
slessp0-openswan
slessp0-strongswan
SUSE Linux Enterprise Server for SAP Applications 11
  • openswan >= 2.6.16-1.34.3
  • openswan-doc >= 2.6.16-1.34.3
  • strongswan >= 4.2.8-1.27.2
  • strongswan-doc >= 4.2.8-1.27.2
Patchnames:
slessp0-openswan
slessp0-strongswan
SUSE Linux Enterprise Server 11 GA
  • openswan >= 2.6.16-1.34.3
  • openswan-doc >= 2.6.16-1.34.3
sles11.ppc
sle11-debuginfo.s390x
sle11-debuginfo.x86
sles11.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sles11.x86
sles11.s390x
sle11-debuginfo.ia64
sles11.x86-64
SAT Patch Nr: 1296
openSUSE 11.0
  • openswan-debuginfo >= 2.4.7-130.6
  • openswan-debugsource >= 2.4.7-130.6
openSUSE 11.0
  • openswan >= 2.4.7-130.6
  • openswan-doc >= 2.4.7-130.6
openSUSE 11.1
  • openswan-debuginfo >= 2.6.16-1.49.3
  • openswan-debugsource >= 2.6.16-1.49.3
openSUSE 11.1
  • openswan >= 2.6.16-1.49.3
  • openswan-doc >= 2.6.16-1.49.3
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
  • strongswan >= 4.1.10-0.16.1
  • strongswan-doc >= 4.1.10-0.16.1
sles10-sp3.ia64
sles10-sp3.x86
sles10-sp3-debuginfo.x86-64
sles10-sp3-debuginfo.x86
sles10-sp3-debuginfo.ppc
sles10-sp3.ppc
sles10-sp3-debuginfo.s390x
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3-debuginfo.ia64
ZYPP Patch Nr: 6529
SUSE Linux Enterprise Server 11 GA
  • strongswan >= 4.2.8-1.27.2
  • strongswan-doc >= 4.2.8-1.27.2
sles11.s390x
sles11.ppc
sles11.x86
sle11-debuginfo.ppc
sle11-debuginfo.s390x
sle11-debuginfo.x86
sle11-debuginfo.ia64
sle11-debuginfo.x86-64
sles11.x86-64
sles11.ia64
SAT Patch Nr: 1283
openSUSE 11.0
  • strongswan-debuginfo >= 4.2.1-11.13
  • strongswan-debugsource >= 4.2.1-11.13
openSUSE 11.0
  • strongswan >= 4.2.1-11.13
  • strongswan-doc >= 4.2.1-11.13
openSUSE 11.1
  • strongswan-debuginfo >= 4.2.8-1.29.2
  • strongswan-debugsource >= 4.2.8-1.29.2
openSUSE 11.1
  • strongswan >= 4.2.8-1.29.2
  • strongswan-doc >= 4.2.8-1.29.2
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • freeswan >= 2.04_1.5.4-1.28
sles9-nld.x86
core9.ppc
sles9-nlpos.x86
sles9-oes.x86
core9.s390
core9.x86-64
sles9-nld.x86-64
core9.s390x
core9.x86
core9.ia64
YOU Patch Nr: 12503


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA strongswan Released
SUSE Linux Enterprise Server 10 SP3 strongswan Released
SUSE Linux Enterprise Server 11 GA strongswan Released